---
- name: Converge
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - name: Set facts_dir
      set_fact:
        facts_dir: "~/xand/ansible/facts.d"

    - block:
      - name: Create test double eks facts file
        vars:
          eks_test_double_facts:
            region: "us-west-2"
            cluster_name: "old-cluster"
            s3_bucket: "old-bucket"
        copy:
          content: "{{ eks_test_double_facts }}"
          dest: "{{ (facts_dir, 'eks.fact') | path_join }}"

      - name: "Include redeploy-warning role"
        vars:
          cloud_provider: "aws"
          eks:
            region: "us-west-2"
            cluster_name: "cluster1"
            s3_bucket: "bucket1"
        include_role:
          name: "cluster-creation"
          tasks_from: redeploy_check.yml

      - name: "Check execution halted"
        fail:
          msg: "Execution should stop before this task"
        register: should_not_run

      rescue:
        - name: Role should have errored out and not executed last task
          assert:
            that:
              - should_not_run is not defined
